﻿<AML>
 <Item type="Method" id="552ADFE3EB734C269093A1DA6544C481" action="add">
  <comments>2018-01-31--MyoThet</comments>
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			sop_invoice_formload
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	Get GST Tax Percent from Tax Template for Sale.
	Set GST Tax Percent to pop_gst_percent. 
	
Hooks:
	Type:	Form	:	sop_commercial_invoice
	Event:	Form Event ( onLoad )
	
	Type:	Form	:	sop_sale_invoice
	Event:	Form Event ( onLoad )
	
	Type:	Form	:	sop_sale_order
	Event:	Form Event ( onLoad ) 
	
	Type:	Form	:	sop_sale_order_Equipment
	Event:	Form Event ( onLoad ) 
	

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var myInnovator = new Innovator();

var parent_id = top.aras.getItemProperty(document.item, 'id');
var myInnov = new Innovator();
var itemType = document.thisItem.getType();
switch (itemType) {
    case 'sop_sale_order':
        {
            var l_check_qry = myInnovator.newItem("SOP_SALE_ORDER_DETAILS", "get");
        }
        break;

    case 'sop_sale_invoice':
        {
            var l_check_qry = myInnovator.newItem("SOP_SALE_INVOICE_DETAILS", "get");
        }
        break;

    case 'sop_commercial_invoice':
        {
            var l_check_qry = myInnovator.newItem("SOP_COMMERCIAL_INVOICE_DETAILS", "get");
        }
        break;
        
    default:
        // do nothing
}

//update by yyk for tax choose in company setup
l_check_qry.setProperty("source_id", parent_id);
l_check_qry.setPropertyCondition("source_id", "eq");
var l_check_result = l_check_qry.apply();
var l_check_count = l_check_result.getItemCount();
if (l_check_count <= 0) {
    var tax_item = myInnovator.newItem("acc_taxtemplate", "get");
    tax_item.setProperty("acc_taxinuse", "Sale");
    tax_item.setPropertyCondition("acc_taxinuse", "eq");
    tax_item.setProperty("acc_isdefault", 1);
    tax_item.setPropertyCondition("acc_isdefault", "eq");
    var tax_result = tax_item.apply();
    var tax_count = tax_result.getItemCount();
    if (tax_count > 0) {
        var tax = tax_result.getItemByIndex(0); // Get First Tax
        var d_gst_percent = parseFloat(tax.getProperty("acc_rate", ""));
        handleItemChange("pop_gst_percent", d_gst_percent.toFixed(2));
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>sop_invoice_formload</name>
 </Item>
</AML>